Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.grid
Interface GridGeometry

    @UML(identifier="CV_GridGeometry",
         specification=OGC_01004)
    public interface GridGeometry

Describes the geometry and georeferencing information of the grid coverage. The grid range attribute determines the valid grid coordinates and allows for calculation of grid size. A grid coverage may or may not have georeferencing.

WARNING: THIS CLASS WILL CHANGE. Current API is derived from OGC Grid Coverages Implementation specification 1.0. We plan to replace it by new interfaces derived from ISO 19123 (Schema for coverage geometry and functions). Current interfaces should be considered as legacy and are included in this distribution only because they were part of GeoAPI 1.0 release. We will try to preserve as much compatibility as possible, but no migration plan has been determined yet.

Since:
  GeoAPI 1.0
Version:
  Grid Coverage specification 1.0

Method Summary
`GridRange` | `getGridRange()` The valid coordinate range of a grid coverage.
`MathTransform` | `getGridToCoordinateSystem()` Deprecated. Renamed as `getGridToCRS()`.
`MathTransform` | `getGridToCRS()` Returns the conversion from grid coordinates to real world earth coordinates.

Method Detail

### getGridRange

    @UML(identifier="gridRange",
         obligation=MANDATORY,
         specification=OGC_01004)
    GridRange getGridRange()

  The valid coordinate range of a grid coverage. The lowest valid grid coordinate is often (but not always) zero. A grid with 512 cells typically have a minimum coordinate of 0 and maximum of 512, with 511 as the highest valid index.

  Returns:
    The valid coordinate range of a grid coverage.

### getGridToCRS

    @UML(identifier="gridToCoordinateSystem",
         obligation=MANDATORY,
         specification=OGC_01004)
    MathTransform getGridToCRS()

  Returns the conversion from grid coordinates to real world earth coordinates. The transform is often an affine transform. The coordinate reference system of the real world coordinates is given by the `Coverage.getCoordinateReferenceSystem()` method and maps to pixel center.

  Returns:
    The conversion from grid coordinates to real world earth coordinates.
  Since:
    GeoAPI 2.1

### getGridToCoordinateSystem

    MathTransform getGridToCoordinateSystem()

  Deprecated. Renamed as `getGridToCRS()`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.